OMV 6 Updates failing

  • I got a notification that there were updates available this morning. Went to install, but updates failed. Prior I have had no issues.


  • Post the output of these commands. Each in a separate code box


    Code
    ping -c 4 8.8.8.8
    ping -c 4 google.com
    cat /etc/resolv.conf
    ls -al /etc/resolv.conf
    systemctl status systemd-resolved.service

    Here is the output for each


    Code
    root@openmediavault:~# ping -c 4 8.8.8.8
    PING 8.8.8.8 (8.8.8.8) 56(84) bytes of data.
    64 bytes from 8.8.8.8: icmp_seq=1 ttl=115 time=16.9 ms
    64 bytes from 8.8.8.8: icmp_seq=2 ttl=115 time=18.0 ms
    64 bytes from 8.8.8.8: icmp_seq=3 ttl=115 time=16.1 ms
    64 bytes from 8.8.8.8: icmp_seq=4 ttl=115 time=16.6 ms
    
    --- 8.8.8.8 ping statistics ---
    4 packets transmitted, 4 received, 0% packet loss, time 3003ms


    Code
    root@openmediavault:~# ping -c 4 google.com
    ping: google.com: Name or service not known
    root@openmediavault:~#
    Code
    root@openmediavault:~# cat /etc/resolv.conf
    cat: /etc/resolv.conf: No such file or directory
    root@openmediavault:~#


    Code
    root@openmediavault:~# ls -al /etc/resolv.conf
    lrwxrwxrwx 1 root root 32 Sep 14  2020 /etc/resolv.conf -> /run/systemd/reslove/resolv.conf
    root@openmediavault:~#



    Code
    root@openmediavault:~# systemctl status systemd-resolved.service
    ● systemd-resolved.service - Network Name Resolution
         Loaded: loaded (/lib/systemd/system/systemd-resolved.service; disabled; vendor preset: enabled)
         Active: inactive (dead)
           Docs: man:systemd-resolved.service(8)
                 man:org.freedesktop.resolve1(5)
                 https://www.freedesktop.org/wiki/Software/systemd/writing-network-configuration-managers
                 https://www.freedesktop.org/wiki/Software/systemd/writing-resolver-clients
    root@openmediavault:~#
    • Official Post

    /run/systemd/reslove/resolv.conf

    Is the /etc/resolv.conf symlink really pointing to this or did you type this instead of copy&paste?

    omv 7.3.0-1 sandworm | 64 bit | 6.8 proxmox kernel

    plugins :: omvextrasorg 7.0 | kvm 7.0.14 | compose 7.2.1 | k8s 7.1.1-1 | cputemp 7.0.2 | mergerfs 7.0.5 | scripts 7.0.8


    omv-extras.org plugins source code and issue tracker - github - changelogs


    Please try ctrl-shift-R and read this before posting a question.

    Please put your OMV system details in your signature.
    Please don't PM for support... Too many PMs!

  • Hi i have a same poroblem... i just push the update bottom and i give this:



    Reading package lists... Done

    Building dependency tree... Done

    Reading state information... Done

    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

    2 not fully installed or removed.

    After this operation, 0 B of additional disk space will be used.

    Setting up openmediavault (6.2.0-2) ...

    Creating configuration database ...

    Migrating configuration database ...

    Setting up Salt environment ...

    [ERROR ] 'EntryPoints' object has no attribute 'items'

    Traceback (most recent call last):

    File "/usr/lib/python3/dist-packages/salt/utils/parsers.py", line 210, in parse_args

    mixin_after_parsed_func(self)

    File "/usr/lib/python3/dist-packages/salt/utils/parsers.py", line 880, in __setup_extended_logging

    log.setup_extended_logging(self.config)

    File "/usr/lib/python3/dist-packages/salt/log/setup.py", line 414, in setup_extended_logging

    providers = salt.loader.log_handlers(opts)

    File "/usr/lib/python3/dist-packages/salt/loader.py", line 663, in log_handlers

    _module_dirs(

    File "/usr/lib/python3/dist-packages/salt/loader.py", line 138, in _module_dirs

    for entry_point in entrypoints.iter_entry_points("salt.loader"):

    File "/usr/lib/python3/dist-packages/salt/utils/entrypoints.py", line 62, in iter_entry_points

    for entry_point_group, entry_points_list in entry_points.items():

    AttributeError: 'EntryPoints' object has no attribute 'items'

    [ERROR ] An un-handled exception was caught by salt's global exception handler:

    TypeError: '>=' not supported between instances of 'AttributeError' and 'int'

    Traceback (most recent call last):

    File "/usr/lib/python3/dist-packages/salt/utils/parsers.py", line 210, in parse_args

    mixin_after_parsed_func(self)

    File "/usr/lib/python3/dist-packages/salt/utils/parsers.py", line 880, in __setup_extended_logging

    log.setup_extended_logging(self.config)

    File "/usr/lib/python3/dist-packages/salt/log/setup.py", line 414, in setup_extended_logging

    providers = salt.loader.log_handlers(opts)

    File "/usr/lib/python3/dist-packages/salt/loader.py", line 663, in log_handlers

    _module_dirs(

    File "/usr/lib/python3/dist-packages/salt/loader.py", line 138, in _module_dirs

    for entry_point in entrypoints.iter_entry_points("salt.loader"):

    File "/usr/lib/python3/dist-packages/salt/utils/entrypoints.py", line 62, in iter_entry_points

    for entry_point_group, entry_points_list in entry_points.items():

    AttributeError: 'EntryPoints' object has no attribute 'items'


    During handling of the above exception, another exception occurred:


    Traceback (most recent call last):

    File "/usr/bin/salt-call", line 11, in <module>

    load_entry_point('salt==3003', 'console_scripts', 'salt-call')()

    File "/usr/lib/python3/dist-packages/salt/scripts.py", line 449, in salt_call

    client.run()

    File "/usr/lib/python3/dist-packages/salt/cli/call.py", line 22, in run

    self.parse_args()

    File "/usr/lib/python3/dist-packages/salt/utils/parsers.py", line 215, in parse_args

    mixin_after_parsed_func, traceback.format_exc(err)

    File "/usr/lib/python3.9/traceback.py", line 167, in format_exc

    return "".join(format_exception(*sys.exc_info(), limit=limit, chain=chain))

    File "/usr/lib/python3.9/traceback.py", line 120, in format_exception

    return list(TracebackException(

    File "/usr/lib/python3.9/traceback.py", line 508, in __init__

    self.stack = StackSummary.extract(

    File "/usr/lib/python3.9/traceback.py", line 340, in extract

    if limit >= 0:

    TypeError: '>=' not supported between instances of 'AttributeError' and 'int'

    Traceback (most recent call last):

    File "/usr/lib/python3/dist-packages/salt/utils/parsers.py", line 210, in parse_args

    mixin_after_parsed_func(self)

    File "/usr/lib/python3/dist-packages/salt/utils/parsers.py", line 880, in __setup_extended_logging

    log.setup_extended_logging(self.config)

    File "/usr/lib/python3/dist-packages/salt/log/setup.py", line 414, in setup_extended_logging

    providers = salt.loader.log_handlers(opts)

    File "/usr/lib/python3/dist-packages/salt/loader.py", line 663, in log_handlers

    _module_dirs(

    File "/usr/lib/python3/dist-packages/salt/loader.py", line 138, in _module_dirs

    for entry_point in entrypoints.iter_entry_points("salt.loader"):

    File "/usr/lib/python3/dist-packages/salt/utils/entrypoints.py", line 62, in iter_entry_points

    for entry_point_group, entry_points_list in entry_points.items():

    AttributeError: 'EntryPoints' object has no attribute 'items'


    During handling of the above exception, another exception occurred:


    Traceback (most recent call last):

    File "/usr/bin/salt-call", line 11, in <module>

    load_entry_point('salt==3003', 'console_scripts', 'salt-call')()

    File "/usr/lib/python3/dist-packages/salt/scripts.py", line 449, in salt_call

    client.run()

    File "/usr/lib/python3/dist-packages/salt/cli/call.py", line 22, in run

    self.parse_args()

    File "/usr/lib/python3/dist-packages/salt/utils/parsers.py", line 215, in parse_args

    mixin_after_parsed_func, traceback.format_exc(err)

    File "/usr/lib/python3.9/traceback.py", line 167, in format_exc

    return "".join(format_exception(*sys.exc_info(), limit=limit, chain=chain))

    File "/usr/lib/python3.9/traceback.py", line 120, in format_exception

    return list(TracebackException(

    File "/usr/lib/python3.9/traceback.py", line 508, in __init__

    self.stack = StackSummary.extract(

    File "/usr/lib/python3.9/traceback.py", line 340, in extract

    if limit >= 0:

    TypeError: '>=' not supported between instances of 'AttributeError' and 'int'

    dpkg: error processing package openmediavault (--configure):

    installed openmediavault package post-installation script subprocess returned error exit status 1

    dpkg: dependency problems prevent configuration of openmediavault-backup:

    openmediavault-backup depends on openmediavault (>= 6); however:

    Package openmediavault is not configured yet.


    dpkg: error processing package openmediavault-backup (--configure):

    dependency problems - leaving unconfigured

    Errors were encountered while processing:

    openmediavault

    openmediavault-backup

    E: Sub-process /usr/bin/dpkg returned an error code (1)

  • Did you see any error?

    Try the updates. If it does not work, run the commands again and post the output here.


    sudo apt install docker-ce-cli=5:20.10.23~3-0~debian-bullseye
    sudo apt install docker-ce=5:20.10.23~3-0~debian-bullseye

    sudo service docker restart

    This commands solve my problem, if anybody looking for a yesturday update error... Docker bin has some problem with the last version.

  • Applied these however, I cannot access portainer through the web interface.
    I can access webtop guacomole client but not portainer.
    Refused to connect error, removing portainer and will wait it out.
    Switching to the KVM pluggin as all I was using was WEBTOP anyway

    OMV Version: 6.9.12-3 (Shaitan) Kernel: Linux 6.1.0-0.deb11.13-amd64 Proxmox VM

    Services: MiniDLNA | File Server (streaming and file transfers that's it.)
    System: HP Pavillion 595 | I7-8700 ( 2 vCores) | 2.1 GB Ram | 32GB VM Sys Drv | 5TB USB Media Drive | Jan 24'

    Edited 2 times, last by ED-209 ().

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!